#include "../include/Environment.h"

namespace environment {

  void Environment::stop(uint32_t num_context)
  {
    if (context_stop [num_context] == false)
      {
        context_stop [num_context] = true;
        nb_context_stop ++;
	
        if (nb_context_stop >= param->nb_entity)
          sc_stop();
      }
  }

};
